CMSIS-Driver: Data Structures

| CMSIS-Driver Version 2.6.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Here are the data structures with brief descriptions:

ARM_CAN_CAPABILITIES | CAN Device Driver Capabilities
ARM_CAN_MSG_INFO | CAN Message Information
ARM_CAN_OBJ_CAPABILITIES | CAN Object Capabilities
ARM_CAN_STATUS | CAN Status
ARM_DRIVER_CAN | Access structure of the CAN Driver
ARM_DRIVER_ETH_MAC | Access structure of the Ethernet MAC Driver
ARM_DRIVER_ETH_PHY | Access structure of the Ethernet PHY Driver
ARM_DRIVER_FLASH | Access structure of the Flash Driver
ARM_DRIVER_I2C | Access structure of the I2C Driver
ARM_DRIVER_MCI | Access structure of the MCI Driver
ARM_DRIVER_NAND | Access structure of the NAND Driver
ARM_DRIVER_SAI | Access structure of the SAI Driver
ARM_DRIVER_SPI | Access structure of the SPI Driver
ARM_DRIVER_STORAGE |
ARM_DRIVER_USART | Access structure of the USART Driver
ARM_DRIVER_USBD | Access structure of the USB Device Driver
ARM_DRIVER_USBH | Access structure of USB Host Driver
ARM_DRIVER_USBH_HCI | Access structure of USB Host HCI (OHCI/EHCI) Driver
ARM_DRIVER_VERSION | Driver Version
ARM_ETH_LINK_INFO | Ethernet link information
ARM_ETH_MAC_ADDR | Ethernet MAC Address
ARM_ETH_MAC_CAPABILITIES | Ethernet MAC Capabilities
ARM_ETH_MAC_TIME | Ethernet MAC Time
ARM_FLASH_CAPABILITIES | Flash Driver Capabilities
ARM_FLASH_INFO | Flash information
ARM_FLASH_SECTOR | Flash Sector information
ARM_FLASH_STATUS | Flash Status
ARM_I2C_CAPABILITIES | I2C Driver Capabilities
ARM_I2C_STATUS | I2C Status
ARM_MCI_CAPABILITIES | MCI Driver Capabilities
ARM_MCI_STATUS | MCI Status
ARM_NAND_CAPABILITIES | NAND Driver Capabilities
ARM_NAND_ECC_INFO | NAND ECC (Error Correction Code) Information
ARM_NAND_STATUS | NAND Status
ARM_SAI_CAPABILITIES | SAI Driver Capabilities
ARM_SAI_STATUS | SAI Status
ARM_SPI_CAPABILITIES | SPI Driver Capabilities
ARM_SPI_STATUS | SPI Status
ARM_STORAGE_BLOCK | A storage block is a range of memory with uniform attributes
ARM_STORAGE_BLOCK_ATTRIBUTES | Attributes of the storage range within a storage block
ARM_STORAGE_CAPABILITIES | Storage Driver API Capabilities
ARM_STORAGE_INFO |
ARM_STORAGE_SECURITY_FEATURES |
ARM_STORAGE_STATUS | Operating status of the storage controller
ARM_USART_CAPABILITIES | USART Device Driver Capabilities
ARM_USART_MODEM_STATUS | USART Modem Status
ARM_USART_STATUS | USART Status
ARM_USBD_CAPABILITIES | USB Device Driver Capabilities
ARM_USBD_STATE | USB Device State
ARM_USBH_CAPABILITIES | USB Host Driver Capabilities
ARM_USBH_HCI_CAPABILITIES | USB Host HCI (OHCI/EHCI) Driver Capabilities
ARM_USBH_PORT_STATE | USB Host Port State